Skip to content

Listening Theme

Manage Listening themes used to group and classify Listening data. Supports bulk fetch, creation, partial update, and bulk deletion.

Fetch Listening Theme(s) by id. Supports bulk fetch.

Request

Security
bearerAuth and apiKeyAuth
Query
idstring

Comma-separated list of Listening Theme id

curl -i -X GET \
  'https://developer.sprinklr.com/_mock/apis/sprinklr-v3/listening/theme?id=string' \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Key: YOUR_API_KEY_HERE'

Responses

Success

Bodyapplication/json
Array [
idstring

Unique identifier of the Listening Theme in Sprinklr

namestringrequired

Listening Theme name

displayNamestring

Listening Theme display name

iconUrlstring

Listening Theme icon url

imageUrlstring

Listening Theme image url

colorstring

Listening Theme identification color

filtersArray of objects(Filter_shifu)required

Filter list to filter out required data

descriptionstring

Listening Theme description

tagsArray of strings

Tags to group Listening Theme based on use case

shareConfigsArray of objects(AssetShareConfig)

Share config to view Listening Theme

permissionsArray of objects(AssetShareConfig)

Permission config to edit or update Listening Theme

]
Response
[ { "id": "string", "name": "string", "displayName": "string", "iconUrl": "string", "imageUrl": "string", "color": "string", "filters": [ … ], "description": "string", "tags": [ … ], "shareConfigs": [ … ], "permissions": [ … ] } ]